## debian-reference 2.116

=== Makefile ===
#######################################################################
# Build debian-reference (v2)
# vim: set ts=8:
#######################################################################
#======================================================================
# ===== Adjustable parameters =========================================
#======================================================================
# base file name excluding file extension
MANUAL	:=	debian-reference
# languages translated with PO files
# This can list more than debian/rules for translator to check the result
# (unless enough translation (100 strings or more), don't include it here)
LANGPO	:=	ja fr it pt de zh-cn zh-tw es id nb sv pt-br
# ko fi are less than 10 strings
#LANGPO	:=	ja fr it pt de zh-cn zh-tw es id nb sv pt-br ko fi
# languages to skip generation of PDF files (not used now)

NOPDF	:=
# languages to build document
LANGALL	=	en $(LANGPO)
# Packages uploaded to unstable repo generate official Debian web pages
# Change these to post-release state when Debian is under soft freeze
#
# current "stable" release name
RELEASE_NAME0L := bookworm
RELEASE_NAME0U := Bookworm
# next "stable" / "testing" release name
RELEASE_NAME1L := trixie
RELEASE_NAME1U := Trixie
# next next "stable" / next "testing" release name
RELEASE_NAME2L := forky
RELEASE_NAME2U := Forky
# release name considered outdated (Release_Date-EOL_for_LTS)
RELEASE_NAMEXX := Jessie 8 (2015-2020)
# release names when this document was last updated
RELEASE_DOC_1  := Bookworm (=<literal>stable</literal>)
RELEASE_DOC_2  := Trixie (=<literal>testing</literal>)

# version in changelog
DR_VERSION :=	$(shell dpkg-parsechangelog --show-field Version)
# set SOURCE_DATE_EPOCH if unset (when not called from debhelper)
SOURCE_DATE_EPOCH ?= $(shell dpkg-parsechangelog -STimestamp)
# date in changelog
SOURCE_DATE := $(shell date -u +'%F %T %Z' --date=@$(SOURCE_DATE_EPOCH))

# BUILD_DIR is not mean to be set to generic TMPDIR
BUILD_DIR	:= $(CURDIR)/build

# Change $(DRAFTMODE) from "yes" to "maybe" when this document
# should go into production mode
#DRAFTMODE      := yes
DRAFTMODE       := maybe
export DRAFTMODE

# define EXPOSEMODE to yes to expose program listings to make entity
EXPOSEMODE ?= no
ifeq "$(EXPOSEMODE)" "yes"
XML_COMMENT_START=
XML_COMMENT_END=
else
XML_COMMENT_START= <!--
XML_COMMENT_END= -->
endif

# Prevent external environment vriables to impact build result
TZ	:= "0"
export TZ
# Reset all locale variables for clean perl execution
unexport LANG
unexport LANGUAGE
unexport LC_TIME
unexport LC_COLLATE
unexport LC_ALL
unexport LC_MEASUREMENT
unexport LC_NUMERIC
unexport LC_PAPER
unexport LC_MONETARY

# for reproducible build
FORCE_SOURCE_DATE = 1
export FORCE_SOURCE_DATE
#######################################################################
### basic constant parameters
#######################################################################
# Directories (no trailing slash)
DXSL	:=	xslt
DBIN	:=	bin
DRAW	:=	rawxml
DPO	:=	po
DIMG	:=	/usr/share/xml/docbook/stylesheet/nwalsh/images

# work around https://bugs.debian.org/725931
PERL_PERTURB_KEYS := 0
export PERL_PERTURB_KEYS
PERL_HASH_SEED := 0
export PERL_HASH_SEE

# Program name and option
XLINT	:=	xmllint --format
XPNO	:=	xsltproc --novalid --nonet
XPINC	:=	/usr/bin/faketime @$(SOURCE_DATE_EPOCH) xsltproc --novalid --nonet --xinclude
MSGATTR	:=	msgattrib
MSGCAT	:=	msgcat
MSGUNIQ	:=	msguniq --use-first
DBLATEX	:=	/usr/bin/faketime @$(SOURCE_DATE_EPOCH) /usr/bin/dblatex
SED	:=	sed
ZIP	:=      /usr/bin/faketime @$(SOURCE_DATE_EPOCH) zip

# Source files
SRC_XML :=	$(wildcard $(DRAW)/*_*.rawxml)
SRC_ENT:=	remote.ent common.ent
# source PO files for all languages (build process requires these)
SRC_PO :=	$(addsuffix .po, $(addprefix  $(DPO)/, $(LANGPO)))
# sed script for replace
SEDF ?= $(DBIN)/replace0

# po4a/opencc translation
PO4A1 ?= $(DBIN)/po4a1
PO4A2 ?= $(DBIN)/po4a2
POFUZZY ?= $(DBIN)/pofuzzy

# Remote file source (related to Debian package archive URLs)
#DEBM	:=	http://ftp.us.debian.org/debian/dists
#DEBM	:=	http://ftp.jp.debian.org/debian/dists
DEBM	:=	http://deb.debian.org/debian/dists
# Debian popcon data source URL
UPOPC	:=	https://popcon.debian.org/all-popcon-results.txt.gz
# Debian release name and arch used
CODE	:=	sid
ARCH	:=	amd64
UDEBA	:=	$(DEBM)/$(CODE)
UDEBB	:=	$(DEBM)/experimental
UDEBC	:=	$(DEBM)/stable
UDEBD	:=	$(DEBM)/oldstable
# processed remote data
PACKAGES_DATA := packages.main packages.non-free-firmware packages.contrib packages.non-free \
		packages.txt packages.experimental.txt \
		packages.stable.txt packages.oldstable.txt
POPCON_DATA :=  all-popcon-results.txt \
		all-popcon-date.txt \
		all-popcon-submissions.txt \
		all-popcon-pkgs.txt
REMOTE_DATA :=	$(PACKAGES_DATA) $(POPCON_DATA)


#######################################################################
# Used as $(call check-command, <command>, <package>)
define check-command
set -e; if ! type $(1) >/dev/null; then \
  echo "Missing command: $(1), install package: $(2)"; \
  false; \
fi
endef
# Used as $(call check-file, <file>)
define check-file
set -e; if ! [ -r $(1) ]; then \
  echo "Missing file: $(1)"; \
  false; \
fi
endef
#======================================================================
# ===== Utility targets ===============================================
#======================================================================
#######################################################################
# $ make all       # build all formats
#######################################################################
.PHONY: all
# set LANGPO to limit language to speed up build
all: css html txt pdf
	-cat fuzzy.log

#######################################################################
# $ make test      # build html for all languages (for Translator)
#######################################################################
.PHONY: test
test: html css
	-cat fuzzy.log

#######################################################################
# $ make entity    # refresh remote.ent (Need remote access)
#######################################################################
# For major English update, run this and commit updated data
.PHONY: entity
entity:
	$(MAKE) entityclean
	$(MAKE) remote.ent

#######################################################################
# $ make en      # build html for testing (for English)
#######################################################################
.PHONY: en
en:
	$(MAKE) entity
	$(MAKE) html css LANGPO=

#======================================================================
# ===== Common-build targets (no remote access ) ======================
#======================================================================
$(DRAW)/$(MANUAL).rawxml: $(SRC_XML)
	#echo $^
	cd $(DRAW) ; ./merge.sh

#======================================================================
# ===== Pre-build only (remote access) ================================
#======================================================================
#######################################################################
# Phase 1.1 (pre-build): download Debian stat data (REMOTE_DATA)
#######################################################################
packages.main:
	# FETCH PACKAGE (sid main)
	@$(call check-command, wget, wget)
	@$(call check-command, grep-dctrl, dctrl-tools)
	wget -O - $(UDEBA)/main/binary-$(ARCH)/Packages.xz      | xzcat - > packages.main.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.main.tmp > packages.main
	rm packages.main.tmp

packages.contrib:
	# FETCH PACKAGE (sid contrib)
	@$(call check-command, wget, wget)
	@$(call check-command, grep-dctrl, dctrl-tools)
	wget -O - $(UDEBA)/contrib/binary-$(ARCH)/Packages.xz   | xzcat - > packages.contrib.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.contrib.tmp > packages.contrib
	rm packages.contrib.tmp

packages.non-free-firmware:
	# FETCH PACKAGE (sid non-free-firmware)
	@$(call check-command, wget, wget)
	@$(call check-command, grep-dctrl, dctrl-tools)
	wget -O - $(UDEBA)/non-free-firmware/binary-$(ARCH)/Packages.xz  | xzcat - > packages.non-free-firmware.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.non-free-firmware.tmp > packages.non-free-firmware
	rm packages.non-free-firmware.tmp

packages.non-free:
	# FETCH PACKAGE (sid non-free)
	@$(call check-command, wget, wget)
	@$(call check-command, grep-dctrl, dctrl-tools)
	wget -O - $(UDEBA)/non-free/binary-$(ARCH)/Packages.xz  | xzcat - > packages.non-free.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.non-free.tmp > packages.non-free
	rm packages.non-free.tmp

packages.experimental.txt:
	# FETCH PACKAGE (experimental main)
	@$(call check-command, wget, wget)
	@$(call check-command, grep-dctrl, dctrl-tools)
	wget -O - $(UDEBB)/main/binary-$(ARCH)/Packages.xz      | xzcat - > packages.experimental.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.experimental.tmp > packages.experimental.txt
	rm packages.experimental.tmp

packages.txt: packages.main packages.non-free-firmware packages.contrib packages.non-free
	# FETCH PACKAGE (sid)
	cat packages.main packages.non-free-firmware packages.contrib packages.non-free >packages.txt

packages.stable.txt:
	# FETCH PACKAGE (stable main)
	@$(call check-command, wget, wget)
	@$(call check-command, grep-dctrl, dctrl-tools)
	wget -O - $(UDEBC)/main/binary-$(ARCH)/Packages.xz      | xzcat - > packages.stable.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.stable.tmp > packages.stable.txt
	rm packages.stable.tmp

packages.oldstable.txt:
	# FETCH PACKAGE (oldstable main contrib)
	@$(call check-command, wget, wget)
	@$(call check-command, grep-dctrl, dctrl-tools)
	wget -O - $(UDEBD)/main/binary-$(ARCH)/Packages.xz      | xzcat - > packages.oldstable.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.oldstable.tmp > packages.oldstable.txt
	rm packages.oldstable.tmp
	wget -O - $(UDEBD)/contrib/binary-$(ARCH)/Packages.xz      | xzcat - > packages.oldstable.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.oldstable.tmp >> packages.oldstable.txt
	rm packages.oldstable.tmp

all-popcon-results.txt:
	# POPCON RESULTS
	wget -O - $(UPOPC) | zcat - > all-popcon-results.txt

all-popcon-submissions.txt: all-popcon-results.txt
	sed -n -e 's/^Submissions: *\([^ ]*\) *$$/\1/p' < all-popcon-results.txt > all-popcon-submissions.txt

all-popcon-date.txt: all-popcon-results.txt
	echo "<!ENTITY pop-date \"$(shell date -u +'%F %T %Z')\">"	>  all-popcon-date.txt

all-popcon-pkgs.txt: all-popcon-results.txt
	grep --binary-files=text -e '^Package: [a-z0-9][-+a-z0-9.]*[ 0-9]*$$' < all-popcon-results.txt > all-popcon-pkgs.txt

# download base data for package data and popcon data
.PHONY: remote
remote: $(REMOTE_DATA)

#######################################################################
# Phase 1.2 (pre-build): extract package name list (pkg.lst)
#######################################################################

# extract package name (@emacs@ etc.) list from RAWXML
# used pre-build time only
pkg.lst: $(DRAW)/$(MANUAL).rawxml
	@$(call check-command, xsltproc, xsltproc)
	# PACKAGE LIST of packages mentioned in the source XML
	$(XPNO) $(DXSL)/pkg.xsl $(DRAW)/$(MANUAL).rawxml > $@

#######################################################################
# Phase 1.3 (pre-build): update Debian archive stat data (remote.ent)
#######################################################################

# source XML inclusion file (pre-commited since this needs remote access)
# no dependency claimed to avoid remote access to update data
remote.ent:
	$(MAKE) $(REMOTE_DATA) pkg.lst
	cat all-popcon-date.txt													>  $@
	echo "<!ENTITY all-packages \"$$(grep -e '^Package:' packages.txt | wc -l)\">"						>> $@
	echo "<!ENTITY main-packages \"$$( grep -e '^Package:' packages.main | wc -l)\">"					>> $@
	echo "<!ENTITY contrib-packages \"$$(grep -e '^Package:' packages.contrib | wc -l)\">"					>> $@

=== debian/changelog ===
debian-reference (2.116) unstable; urgency=medium

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ Naga ]
  * Translated using Weblate (French)

  [ Osamu Aoki ]
  * Ch09: Move mapping to internal and add popular maps
  * Ch05: Add nftable (common text)
  * Ch11: PDF with GIMP
  * Ch11: update listed packages
  * rawxml/README.md for English
  * make entity EXPOSEMODE=yes
  * make po
  * ja: 100% translated

 -- Osamu Aoki <osamu@debian.org>  Sun, 25 Feb 2024 18:13:41 +0900

debian-reference (2.115) unstable; urgency=medium

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ Osamu Aoki ]
  * Fix dpkg unable to delete old directory.  Closes: #1058960
  * Update debian-reference-common version requirement to 2.115
  * Add pt-br to metapackage.

 -- Osamu Aoki <osamu@debian.org>  Mon, 12 Feb 2024 10:25:08 +0900

debian-reference (2.114) unstable; urgency=medium

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ Osamu Aoki ]
  * Fix document path regression at 2.109.  Closes: #1063590

 -- Osamu Aoki <osamu@debian.org>  Sat, 10 Feb 2024 22:34:46 +0900

debian-reference (2.113) unstable; urgency=medium

  [ xiao sheng wen(肖盛文) ]
  * Update bin/po4a1 bin/po4a2: use dpkg-parsechangelog -S Version to get DVERSION
  * Update po/zh-cn.add, add debian-reference.zh-cn.pdf download link
  * 09ch: fix typo in Customizing vim example
  * 09ch: add highlight tailer spaces red color in customizing_vim example
  * Translated using Weblate (Chinese (Simplified))
  * make remote.ent

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ Osamu Aoki ]
  * English: suite name and codename
  * English: s/graphic/graphics/g
  * English: Add sed example ERE
  * English: Add nvim defaults
  * Add merge-po-files
  * refactor po build
  * make po (ja:100%)
  * es, zh-cn, fr, it: trivial fixes
  * README.md for English RAWXML/*
  * Makefile: "make EXPOSEMODE=yes" feature

 -- Osamu Aoki <osamu@debian.org>  Fri, 02 Feb 2024 22:34:43 +0900

debian-reference (2.112) unstable; urgency=medium

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ xiao sheng wen(肖盛文) ]
  * ch00: update copyright year info to 2024
  * make po
  * Update copyright year info in *.po, remove fuzzy
  * Translated using Weblate (Chinese (Simplified))
  * po4a*.cfg.in add options --package-name --copyright-holder
    --package-version update bin/buildxml* to use new po4a*.cfg.in
  * update *.po, let i18nspector po/*.po happy
  * Update Project-Id-Version: to Debian Reference 2 in po files
  * Translated using Weblate (Chinese (Simplified))
  * Update pt-br zh-cn zh-tw po files Language: field, ISO 3166 two-letter
    country code use uppercase see
    https://www.gnu.org/software/gettext/manual/html_node/Header-Entry.html
    This also let run i18nspector po/*.po happy

  [ Osamu Aoki ]
  * English touch ups
  * make entity po
  * ja: 100% translated
  * Add mergepos and mergepo scripts
  * README.md merge strategy and <literal>
  * Force <literal> policy to es

 -- Osamu Aoki <osamu@debian.org>  Tue, 23 Jan 2024 08:34:39 +0900

debian-reference (2.111) unstable; urgency=medium

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ xiao sheng wen(肖盛文) ]
  * ch10: fix typo for snap-Documents.timer
  * ch10: add "man:" before btrfs(1) in systemd Documentation= line
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Chinese (Simplified))

  [ Osamu Aoki ]
  * ch03: Update and reorganize systemd and udev
  * ch04: ACLs
  * ch09: Add systemd event based scheduling
  * ch10: Add backup tips
  * ch11: Update around PDF
  * make entity
  * make po
  * ja: 100% translated
  * XML: add review marker
  * es: fix markup error and 100% translated

 -- Osamu Aoki <osamu@debian.org>  Sat, 20 Jan 2024 20:57:38 +0900

debian-reference (2.110) unstable; urgency=medium

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ Beatrice Torracca ]
  * [it-IT] Updated Italian translation
  * [it-IT] Updated Italian translation header info
  * [it-IT] Fixed (hopefully) Italian translation

  [ xiao sheng wen(肖盛文) ]
  * fix typo: Syatemd login --> Systemd login
  * Translated using Weblate (Japanese) -- removed fuzzy
  * Translated using Weblate (Swedish)
  * Update it.po, unfuzzy msgid "Systemd login"
  * Translated using Weblate (Chinese (Simplified))
  * fix typo: add one " before <literal>
  * make po

  [ Osamu Aoki ]
  * Update examples
  * No more POT tweak and use vi
  * Update path, pot
  * Add ro
  * Use tracker.debian.org
  * ja: fix missing msgstr
  * Rename weblate-po-merge
  * README.md: Add tips
  * ja, es, it, zh-cn: unfuzzy 100% translated

 -- Osamu Aoki <osamu@debian.org>  Thu, 18 Jan 2024 21:23:31 +0900

debian-reference (2.109) unstable; urgency=medium

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ Andika Triwidada ]
  * Translated using Weblate (Indonesian)

  [ Osamu Aoki ]
  * Makefile: bug fix badurl
  * ch**: update and verify URL links
  * ch1: Fix old ASCIIDOC conversion error for "exec" example
  * cgroup v2 adjustment
  * /usr merge conversion adjustment
  * migration to init-system-helpers adjustment
  * PO: 100% ja
  * PO: trivial fixes on de, es, fr, id, it, pt-br, zh-cn
  * doc+makefile updates
  * Move documents under /usr/share/doc/debian-reference-common/docs

 -- Osamu Aoki <osamu@debian.org>  Mon, 18 Dec 2023 23:53:01 +0900

debian-reference (2.108) unstable; urgency=medium

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ Osamu Aoki ]
  * Ch03: systemd login
  * Ch05: libnss, nftables
  * ch08: locale
  * ch**: update URLs and http->https


## debian-reference 2.122

=== Makefile ===
--- 
+++ 
@@ -117,7 +117,9 @@
 # po4a/opencc translation
 PO4A1 ?= $(DBIN)/po4a1
 PO4A2 ?= $(DBIN)/po4a2
-POFUZZY ?= $(DBIN)/pofuzzy
+PO4ATMP ?= $(DBIN)/po4atmp
+POFUZZY1 ?= $(DBIN)/pofuzzy1
+POFUZZY2 ?= $(DBIN)/pofuzzy2
 
 # Remote file source (related to Debian package archive URLs)
 #DEBM	:=	http://ftp.us.debian.org/debian/dists
@@ -167,14 +169,20 @@
 .PHONY: all
 # set LANGPO to limit language to speed up build
 all: css html txt pdf
-	-cat fuzzy.log
+	@echo "PO status: fuzzy1 ======================"
+	-cat fuzzy1.log
+	@echo "PO status: fuzzy2 ======================"
+	-cat fuzzy2.log
 
 #######################################################################
 # $ make test      # build html for all languages (for Translator)
 #######################################################################
 .PHONY: test
 test: html css
-	-cat fuzzy.log
+	@echo "PO status: fuzzy1 ======================"
+	-cat fuzzy1.log
+	@echo "PO status: fuzzy2 ======================"
+	-cat fuzzy2.log
 
 #######################################################################
 # $ make entity    # refresh remote.ent (Need remote access)
@@ -305,7 +313,3 @@
 # no dependency claimed to avoid remote access to update data
 remote.ent:
 	$(MAKE) $(REMOTE_DATA) pkg.lst
-	cat all-popcon-date.txt													>  $@
-	echo "<!ENTITY all-packages \"$$(grep -e '^Package:' packages.txt | wc -l)\">"						>> $@
-	echo "<!ENTITY main-packages \"$$( grep -e '^Package:' packages.main | wc -l)\">"					>> $@
-	echo "<!ENTITY contrib-packages \"$$(grep -e '^Package:' packages.contrib | wc -l)\">"					>> $@

=== debian/changelog ===
debian-reference (2.122) unstable; urgency=medium

  [ Osamu Aoki ]
  * update disk.img handling examples
  * Simplify .vimrc example
  * Reformat internal scripts: shfmt -s -w / black

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ Andika Triwidada ]
  * Translated using Weblate (Indonesian)

 -- Osamu Aoki <osamu@debian.org>  Thu, 11 Apr 2024 08:08:27 +0900

debian-reference (2.121) unstable; urgency=medium

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ Osamu Aoki ]
  * EN: Update losetup usage
  * po: update all languages on losetup

 -- Osamu Aoki <osamu@debian.org>  Mon, 01 Apr 2024 18:24:03 +0900

debian-reference (2.120) unstable; urgency=medium

  [ Beatrice Torracca ]
  * [it-IT] Updated Italian translation (100%)

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ Guillonneau Jean-Paul ]
  * Translated using Weblate (French)

  [ Osamu Aoki ]
  * Fix fr.add
  * Parallel execution for build
  * Update pot

 -- Osamu Aoki <osamu@debian.org>  Mon, 25 Mar 2024 23:02:56 +0900

debian-reference (2.119) unstable; urgency=medium

  [ Guillonneau Jean-Paul ]
  * Translated using Weblate (French) 100%

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ SCC/楊志璿 ]
  * Translated using Weblate (Chinese (Traditional))

  [ Andika Triwidada ]
  * Translated using Weblate (Indonesian)

  [ Osamu Aoki ]
  * Ch12: Fix console session
  * zh-tw, fr: remove URL with % to fix build
  * pt, pt-br: trivial URL fixes
  * Update build to use missing msgstr between pt/pt-br
  * fuzzy: raw and effective PO status

 -- Osamu Aoki <osamu@debian.org>  Wed, 20 Mar 2024 15:21:55 +0900

debian-reference (2.118) unstable; urgency=medium

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ gallegonovato ]
  * Translated using Weblate (Spanish) 100%

  [ xiao sheng wen(肖盛文) ]
  * Translated using Weblate (Chinese (Simplified)) 100%

  [ Osamu Aoki ]
  * Ch01: adduser/delusr/usermod/useradd/userdel
  * Ch07: user dirs
  * Ch09: rephrase and reorder, Incus, clipboard
  * es: trivial fix
  * make entity EXPOSEMODE=yes
  * make po
  * ja 100%

 -- Osamu Aoki <osamu@debian.org>  Thu, 14 Mar 2024 14:53:09 +0900

debian-reference (2.117) unstable; urgency=medium

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ xiao sheng wen(肖盛文) ]
  * Ch11: fix typo, ps --> pdf , remove (GUI)
  * Translated using Weblate (Chinese (Simplified))

  [ Osamu Aoki ]
  * Ch09: Reorganize and update vimrc (TailingWhitespaces, etc.)
  * nohlsearch with <ESC> like Lazyvim
  * disable buggy merge driver
  * Trivial po fixes
  * wrap-and-sort and remove extra spaces
  * make po

 -- Osamu Aoki <osamu@debian.org>  Thu, 29 Feb 2024 09:08:53 +0900

=== debian/control ===
Source: debian-reference
Section: doc
Priority: optional
Maintainer: Osamu Aoki <osamu@debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: dblatex,
                     docbook-xml,
                     docbook-xsl,
                     faketime,
                     fonts-liberation2,
                     fonts-vlgothic,
                     fonts-wqy-microhei,
                     libxml2-utils,
                     locales-all | locales,
                     opencc,
                     po4a,
                     python3,
                     texlive-lang-chinese,
                     texlive-lang-english,
                     texlive-lang-french,
                     texlive-lang-german,
                     texlive-lang-italian,
                     texlive-lang-japanese,
                     texlive-lang-other,
                     texlive-lang-portuguese,
                     texlive-lang-spanish,
                     texlive-xetex,
                     w3m,
                     xsltproc
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/debian/debian-reference.git -b latest
Vcs-Browser: https://salsa.debian.org/debian/debian-reference
Homepage: https://www.debian.org/doc/user-manuals#quick-reference

Package: debian-reference-common
Architecture: all
Depends: sensible-utils, ${misc:Depends}
Recommends: w3m | www-browser
Suggests: calibre,
          debian-reference,
          debian-reference-de,
          debian-reference-en,
          debian-reference-es,
          debian-reference-fr,
          debian-reference-id,
          debian-reference-it,
          debian-reference-ja,
          debian-reference-pt,
          debian-reference-zh-cn,
          debian-reference-zh-tw,
          mc,
          vim
Description: Debian system administration guide, common files
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 This only provides menu functionality and other common files.

Package: debian-reference
Architecture: all
Depends: debian-reference-en, ${misc:Depends}
Recommends: debian-reference-de,
            debian-reference-es,
            debian-reference-fr,
            debian-reference-id,
            debian-reference-it,
            debian-reference-ja,
            debian-reference-pt,
            debian-reference-pt-br,
            debian-reference-zh-cn,
            debian-reference-zh-tw
Description: metapackage to install (all) translations of Debian Reference
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 This installs all translations when "Recommends:" are installed.

Package: debian-reference-en
Architecture: all
Depends: debian-reference-common (>= 2.115), ${misc:Depends}
Suggests: doc-base
Description: Debian system administration guide, English original
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The English original version.

Package: debian-reference-de
Architecture: all
Depends: debian-reference-common (>= 2.115), ${misc:Depends}
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, German translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The German translation.

Package: debian-reference-fr
Architecture: all
Depends: debian-reference-common (>= 2.115), ${misc:Depends}
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, French translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The French translation.

Package: debian-reference-id
Architecture: all
Depends: debian-reference-common (>= 2.115), ${misc:Depends}
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, Indonesian translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Indonesian translation.

Package: debian-reference-it
Architecture: all
Depends: debian-reference-common (>= 2.115), ${misc:Depends}
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, Italian translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Italian translation.

Package: debian-reference-ja
Architecture: all
Depends: debian-reference-common (>= 2.115), ${misc:Depends}
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, Japanese translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Japanese translation.

Package: debian-reference-pt
Architecture: all
Depends: debian-reference-common (>= 2.115), ${misc:Depends}
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, Portuguese translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Portuguese (Portugal) translation.

Package: debian-reference-pt-br
Architecture: all
Depends: debian-reference-common (>= 2.115), ${misc:Depends}
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, Portuguese (Brazil) translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Portuguese (Brazil) translation.

Package: debian-reference-zh-cn
Architecture: all
Depends: debian-reference-common (>= 2.115), ${misc:Depends}
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, Chinese (Simplified) translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Chinese (Simplified) translation.

Package: debian-reference-zh-tw
Architecture: all
Depends: debian-reference-common (>= 2.115), ${misc:Depends}
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, Chinese (Traditional) translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Chinese (Traditional) translation.

Package: debian-reference-es
Architecture: all
Depends: debian-reference-common (>= 2.115), ${misc:Depends}
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, Spanish translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Spanish translation.

## debian-reference 2.124

=== Makefile ===
--- 
+++ 
@@ -7,12 +7,22 @@
 #======================================================================
 # base file name excluding file extension
 MANUAL	:=	debian-reference
-# languages translated with PO files
-# This can list more than debian/rules for translator to check the result
-# (unless enough translation (100 strings or more), don't include it here)
-LANGPO	:=	ja fr it pt de zh-cn zh-tw es id nb sv pt-br
-# ko fi are less than 10 strings
-#LANGPO	:=	ja fr it pt de zh-cn zh-tw es id nb sv pt-br ko fi
+# languages translated with PO files (Below are as of 2024-05-28)
+# ja  100 %       -- COMPLETED translation (must be more than 40%)
+# fr  100 %       -- COMPLETED translation (must be more than 40%)
+# it  100 %       -- COMPLETED translation (must be more than 40%)
+# es  100 %       -- COMPLETED translation (must be more than 40%)
+# zh-cn  100 %       -- COMPLETED translation (must be more than 40%)
+# id  96 %       -- COMPLETED translation (must be more than 40%)
+# de  94 %       -- COMPLETED translation (must be more than 40%)
+# pt-br  79 %       -- COMPLETED translation (must be more than 40%)
+# pt  78 %       -- COMPLETED translation (must be more than 40%)
+# zh-tw  74 %       -- COMPLETED translation (must be more than 40%)
+# nb  6 %       -- COMPLETED translation (must be more than 40%)
+# sv  11 %       -- COMPLETED translation (must be more than 40%)
+LANGPO	:=	ja fr it es zh-cn id de pt-br pt zh-tw nb sv
+# ko fi are less than 10 strings -- skipped even for make
+#LANGPO	:=	ja fr it es zh-cn id de pt-br pt zh-tw nb sv ko fi
 # languages to skip generation of PDF files (not used now)
 
 NOPDF	:=
@@ -296,20 +306,3 @@
 
 #######################################################################
 # Phase 1.2 (pre-build): extract package name list (pkg.lst)
-#######################################################################
-
-# extract package name (@emacs@ etc.) list from RAWXML
-# used pre-build time only
-pkg.lst: $(DRAW)/$(MANUAL).rawxml
-	@$(call check-command, xsltproc, xsltproc)
-	# PACKAGE LIST of packages mentioned in the source XML
-	$(XPNO) $(DXSL)/pkg.xsl $(DRAW)/$(MANUAL).rawxml > $@
-
-#######################################################################
-# Phase 1.3 (pre-build): update Debian archive stat data (remote.ent)
-#######################################################################
-
-# source XML inclusion file (pre-commited since this needs remote access)
-# no dependency claimed to avoid remote access to update data
-remote.ent:
-	$(MAKE) $(REMOTE_DATA) pkg.lst

=== debian/changelog ===
debian-reference (2.124) unstable; urgency=medium

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ xiao sheng wen(肖盛文) ]
  * Translated using Weblate (Chinese (Simplified))
  * add Comment[zh_TW] and Comment[zh_CN] in debian-reference-common.desktop

  [ Osamu Aoki ]
  * touch up .vimrc
  * ch09: update vimrc examples
  * ch09: drop dead URL link
  * en: typo fix
  * po: all updated

 -- Osamu Aoki <osamu@debian.org>  Sun, 30 Jun 2024 13:06:30 +0900

debian-reference (2.123) unstable; urgency=medium

  [ Andika Triwidada ]
  * Translated using Weblate (Indonesian)

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ houzhou-wu ]
  * Translated using Weblate (Chinese (Simplified))

  [ Osamu Aoki ]
  * Update Makefile to not current status.
  * Trivial update of fi and ko removing junks.

 -- Osamu Aoki <osamu@debian.org>  Tue, 28 May 2024 16:11:38 +0900

## debian-reference 2.125

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,15 @@
 #======================================================================
 # base file name excluding file extension
 MANUAL	:=	debian-reference
+#
+# build strategy depends on build environment (robust build)
+#STRATEGY := $(shell if [ "$$(lsb_release -s -r)" = "n/a" ]; then echo "unstable"; else echo "stable" ; fi)
+# When texlive tool chain suffer problem, run "make prep" and commit "keep/"
+# directoru in stable environment and build package in STRATEGY=unstable
+# environment
+STRATEGY := stable
+# When OK situation, uncomment to set as above
+
 # languages translated with PO files (Below are as of 2024-05-28)
 # ja  100 %       -- COMPLETED translation (must be more than 40%)
 # fr  100 %       -- COMPLETED translation (must be more than 40%)
@@ -20,7 +29,8 @@
 # zh-tw  74 %       -- COMPLETED translation (must be more than 40%)
 # nb  6 %       -- COMPLETED translation (must be more than 40%)
 # sv  11 %       -- COMPLETED translation (must be more than 40%)
-LANGPO	:=	ja fr it es zh-cn id de pt-br pt zh-tw nb sv
+LANGPO		:=	ja fr it es zh-cn id de pt-br pt zh-tw nb sv
+LANGPO_PREP	:=	ja fr it es zh-cn id de pt-br pt zh-tw
 # ko fi are less than 10 strings -- skipped even for make
 #LANGPO	:=	ja fr it es zh-cn id de pt-br pt zh-tw nb sv ko fi
 # languages to skip generation of PDF files (not used now)
@@ -48,13 +58,23 @@
 
 # version in changelog
 DR_VERSION :=	$(shell dpkg-parsechangelog --show-field Version)
+
 # set SOURCE_DATE_EPOCH if unset (when not called from debhelper)
 SOURCE_DATE_EPOCH ?= $(shell dpkg-parsechangelog -STimestamp)
+# Export for reproducible PDF build
+#  2020: https://tex.stackexchange.com/questions/568235/how-do-i-configure-pdflatex-to-output-binary-equivalent-pdfs-if-the-input-tex-fi
+#  2015: https://tex.stackexchange.com/questions/229605/reproducible-latex-builds-compile-to-a-file-which-always-hashes-to-the-same-va
+export SOURCE_DATE_EPOCH
+FORCE_SOURCE_DATE = 1
+export FORCE_SOURCE_DATE
+
 # date in changelog
 SOURCE_DATE := $(shell date -u +'%F %T %Z' --date=@$(SOURCE_DATE_EPOCH))
 
 # BUILD_DIR is not mean to be set to generic TMPDIR
 BUILD_DIR	:= $(CURDIR)/build
+# KEEP_DIR holds PDFs build in the stable environment
+KEEP_DIR	:= $(CURDIR)/keep
 
 # Change $(DRAFTMODE) from "yes" to "maybe" when this document
 # should go into production mode
@@ -62,7 +82,8 @@
 DRAFTMODE       := maybe
 export DRAFTMODE
 
-# define EXPOSEMODE to yes to expose program listings to make entity
+# define EXPOSEMODE to yes to expose not-so-popular program listings in table list
+# (This is used to hide marginal table list entry.)
 EXPOSEMODE ?= no
 ifeq "$(EXPOSEMODE)" "yes"
 XML_COMMENT_START=
@@ -106,15 +127,16 @@
 export PERL_HASH_SEE
 
 # Program name and option
+# stop using faketime
 XLINT	:=	xmllint --format
 XPNO	:=	xsltproc --novalid --nonet
-XPINC	:=	/usr/bin/faketime @$(SOURCE_DATE_EPOCH) xsltproc --novalid --nonet --xinclude
+XPINC	:=	xsltproc --novalid --nonet --xinclude
 MSGATTR	:=	msgattrib
 MSGCAT	:=	msgcat
 MSGUNIQ	:=	msguniq --use-first
-DBLATEX	:=	/usr/bin/faketime @$(SOURCE_DATE_EPOCH) /usr/bin/dblatex
+DBLATEX	:=	/usr/bin/dblatex
 SED	:=	sed
-ZIP	:=      /usr/bin/faketime @$(SOURCE_DATE_EPOCH) zip
+ZIP	:=      zip
 
 # Source files
 SRC_XML :=	$(wildcard $(DRAW)/*_*.rawxml)
@@ -284,25 +306,3 @@
 	grep-dctrl -e -sPackage,Installed-Size -P "." packages.oldstable.tmp > packages.oldstable.txt
 	rm packages.oldstable.tmp
 	wget -O - $(UDEBD)/contrib/binary-$(ARCH)/Packages.xz      | xzcat - > packages.oldstable.tmp
-	grep-dctrl -e -sPackage,Installed-Size -P "." packages.oldstable.tmp >> packages.oldstable.txt
-	rm packages.oldstable.tmp
-
-all-popcon-results.txt:
-	# POPCON RESULTS
-	wget -O - $(UPOPC) | zcat - > all-popcon-results.txt
-
-all-popcon-submissions.txt: all-popcon-results.txt
-	sed -n -e 's/^Submissions: *\([^ ]*\) *$$/\1/p' < all-popcon-results.txt > all-popcon-submissions.txt
-
-all-popcon-date.txt: all-popcon-results.txt
-	echo "<!ENTITY pop-date \"$(shell date -u +'%F %T %Z')\">"	>  all-popcon-date.txt
-
-all-popcon-pkgs.txt: all-popcon-results.txt
-	grep --binary-files=text -e '^Package: [a-z0-9][-+a-z0-9.]*[ 0-9]*$$' < all-popcon-results.txt > all-popcon-pkgs.txt
-
-# download base data for package data and popcon data
-.PHONY: remote
-remote: $(REMOTE_DATA)
-
-#######################################################################
-# Phase 1.2 (pre-build): extract package name list (pkg.lst)

=== debian/changelog ===
debian-reference (2.125) unstable; urgency=medium

  [ Ravi Kant Sharma ]
  * fix typo 05_network_setup.rawxml

  [ eulalio ]
  * Translated using Weblate (Spanish)

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ Chris Hofstaedtler ]
  * Fix two typos on a single line

  [ Osamu Aoki ]
  * Refine example
  * Minor English updates (zh-cn inspired)
  * Add d/salsa-ci.yml
  * pt.po, fr.po, it.po, po/zh-cn.po: trivial fixes
  * Add xmlpo and update README.md
  * ja.po: proofed by xmlpo -i
  * "make po" and trim obsolete
  * Change font to all-Sans
  * Reproducible build

 -- Osamu Aoki <osamu@debian.org>  Fri, 15 Nov 2024 22:32:55 +0900

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,9 @@
 Build-Depends-Indep: dblatex,
                      docbook-xml,
                      docbook-xsl,
-                     faketime,
                      fonts-liberation2,
                      fonts-vlgothic,
-                     fonts-wqy-microhei,
+                     fonts-wqy-zenhei,
                      libxml2-utils,
                      locales-all | locales,
                      opencc,

## debian-reference 2.127

=== debian/changelog ===
debian-reference (2.127) unstable; urgency=medium

  * Fix maintscript regression in 2.126 by using pre-depends on
    debian-reference-common.  Closes: #1100677

 -- Osamu Aoki <osamu@debian.org>  Wed, 30 Apr 2025 11:27:20 +0900

debian-reference (2.126) unstable; urgency=medium

  [ xiao sheng wen(肖盛文) ]
  * Translated using Weblate (Chinese (Simplified Han script))

  [ Andika Triwidada ]
  * Translated using Weblate (Indonesian)

  [ Cleverson Cândido ]
  * Translated using Weblate (Portuguese)

  [ Tanavit MINETEST ]
  * Translated using Weblate (French)

  [ Jonathan Dowland ]
  * Correct description of purpose of 'sudo' group

  [ Ricky Tigg ]
  * Translated using Weblate (Finnish)

  [ Rodolfo José dos Santos Gigante ]
  * Translated using Weblate (Portuguese)

  [ Rodolfo Gigante ]
  * Translated using Weblate (Portuguese)

  [ Francisco Serrador ]
  * Translated using Weblate (Spanish)

  [ Osamu Aoki ]
  * Fix undeclared file conflict.  Closes: #1100677
  * Improve PO file checker
  * Update PO/POT with trivial url link fixes (pt, fr)

 -- Osamu Aoki <osamu@debian.org>  Thu, 24 Apr 2025 11:18:18 +0900
